            #GIT_CMT=9850762632125d4218c90363512fd6760a8d7463
%define uek2epoch 2
%define uek4epoch 4
%define uek5epoch 5

%define RELEASE 1.0.8
%{?el7:%define uektag uek4}

Name: librdmacm
Epoch: %{uek4epoch}
Version: 1.0.20
Release: %{RELEASE}%{?dist}%{?uektag}
Summary: Userspace RDMA Connection Manager

Group: System Environment/Libraries
License: GPLv2 or BSD
Url: http://www.openfabrics.org/
Source: librdmacm-1.0.20.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libibverbs-devel >= %{uek4epoch}:1.1.8-1.0.1
BuildRequires: libibverbs-devel < %{uek5epoch}:0

%description
librdmacm provides a userspace RDMA Communication Managment API.

%package devel
Summary: Development files for the librdmacm library
Group: System Environment/Libraries
Requires: %{name} = %{uek4epoch}:%{version}-%{release} 
Requires: %{_includedir}/infiniband/verbs.h

%description devel
Development files for the librdmacm library.

%package utils
Summary: Examples for the librdmacm library
Group: System Environment/Libraries
Requires: %{name} = %{uek4epoch}:%{version}-%{release}

%description utils
Example test programs for the librdmacm library.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/rsocket/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%{_libdir}/rsocket/lib*.so.*
%doc AUTHORS COPYING README

%files devel
%defattr(-,root,root)
%{_libdir}/librdmacm*.so
%{_libdir}/rsocket/librspreload*.so
%{_libdir}/*.a
%{_libdir}/rsocket/*.a
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Jun 11 2018 Aron Silverton <aron.silverton@oracle.com> - 4:1.0.20-1.0.8uek4
- librdmacm: Release v4:1.0.20-1.0.8 (Aron Silverton)  [Orabug: 27593051] [Orabug: 27934606] 
- librdmacm: Add "uek4" token to OL7 package (Aron Silverton)  [Orabug: 27934606] 
- librdmacm: Add Epoch to package versioning (Aron Silverton)  [Orabug: 27593051] 

* Wed May 02 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.20-1.0.7
- librdmacm: Release v1.0.20-1.0.7 (Aron Silverton)  [Orabug: 27767424] 
- librdmacm: Support unix-domain socket communication to ibacm (Gerd Rausch)  [Orabug: 27767424]

* Wed Mar 07 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.20-1.0.6
- BUILDINFO: commit=b2eb08c189ca5cf300587af40265460418a117c9
- librdmacm: Release v1.0.20-1.0.6 (Aron Silverton)  
- Revert "Use ibacm only if env variable LIBRDMACM_USES_IBACM is set" (Aron Silverton)

* Tue Feb 13 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.20-1.0.5
- BUILDINFO: commit=b9e9c2acd345f4b2fa6de3c94dca85cd4a11ea0d
- librdmacm: WORKAROUND: Disable use of ibacm (Aron Silverton)  
- Use ibacm only if env variable LIBRDMACM_USES_IBACM is set (Avinash Repaka)

* Wed May 17 2017 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.20-1.0.4
- BUILDINFO: commit=027663fe4ca15b643685c32cb154b2d4aac4e8ea
- librdmacm: Bump release number for updates (Mukesh Kacker)  
- librdmacm: Remove atexit and destructors (Jason Gunthorpe)  
- librdmacm: consolidate spec files for ol6,ol7 that are identical (Mukesh Kacker)

* Mon May 16 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.20-1.0.3
- librdmacm: bump up release number (Mukesh Kacker)  
- librdmacm: Oracle UEK2 XRC API usage binary compatibility (Amarnath Jolad)  
- librdmacm: XRC binary compatibility patch (Amarnath Jolad)

* Tue Sep 15 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.20-1.0.2
- librdmacm: bump release number to rebuild with new headers (Mukesh Kacker)

* Fri Feb 15 2008 Roland Dreier <rdreier@cisco.com> - 1.0.6-1
- Initial Fedora spec file

